import { request } from '@/utils/request';

/**
 * 获取当前位置
 * @returns
 */
export function getCurrentLocation(data) {
  return request({
    url: '/maintain/location',
    method: 'get',
    data: data,
    header: {
      'content-type': 'application/x-www-form-urlencoded',
    },
  });
}

/**
 * 获取首页
 * @returns
 */
export function getHomePageApi(data) {
  return request({
    url: '/maintain/customer/index',
    method: 'get',
    data: data,
    header: {
      'content-type': 'application/x-www-form-urlencoded',
    },
  });
}

/**
 *@description 获取首页分类的数据
 */

export function getCategoriesApi() {
  return request({
    url: '/maintain/categories',
    methods: get,
    header: {
      'content-type': 'application/x-www-form-urlencoded',
    },
  });
}


// 热门搜索商家
export function listHotMerchant(data) {
  return request({
    url: `/maintain/listHotMerchant/`,
    method: 'post',
	data: data,
    header: {
      'Content-Type': 'application/json',
    },
  });
}

// 猜你喜欢的商家
export function likeMerchant(data) {
  return request({
    url: `/maintain/likeMerchant/`,
    method: 'post',
	data: data,
    header: {
      'Content-Type': 'application/json',
    },
  });
}

/**
 *@description 热门搜索接口 - 添加用户点击埋点
 */

export function hotMerchant(id) {
  return request({
    url: `/maintain/hotMerchant/${id}`,
    method: 'get',
    header: {
      'content-type': 'application/x-www-form-urlencoded',
    },
  });
}