import { request } from '@/utils/request';

/**
 * 订单接口 - 获取用户的订单列表
 * @returns
 */
export function userOrdersApi(data) {
  return request({
    url: '/maintain/userorders',
    method: 'get',
    data: data,
    header: {
      'content-type': 'application/x-www-form-urlencoded',
    },
  });
}

/**
 * 订单接口 - 支付成功回调
 * @returns
 */

export function successfulPayment(id) {
  return request({
    url: `/maintain/paySuccess/${id}`,
    method: 'get',
    header: {
      'content-type': 'application/x-www-form-urlencoded',
    },
  });
}

/**
 * 订单接口 - 获取订单明细
 * @returns
 */

export function orderDetailGoodApi(id, data) {
  return request({
    url: `/maintain/orderdetail/${id}`,
    method: 'get',
    data: data,
    header: {
      'content-type': 'application/x-www-form-urlencoded',
    },
  });
}
